summaryrefslogtreecommitdiffstats
path: root/development/texi2html
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2013-11-05 23:25:34 -0600
committer Robby Workman <rworkman@slackbuilds.org>2013-11-05 23:25:34 -0600
commit755fff2e06b7b81d1f76236423875c2a315d4fea (patch)
treeb6d8eb0a9642fc68e7894b7d527e9d649875546e /development/texi2html
parent89cd75a96810cda094b5176d76738fba1b2e8732 (diff)
downloadslackbuilds-755fff2e06b7b81d1f76236423875c2a315d4fea.tar.gz
slackbuilds-755fff2e06b7b81d1f76236423875c2a315d4fea.tar.xz
development/texi2html: Added (convert texinfo documents to various formats)
This is being split out from the texlive package. Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'development/texi2html')
-rw-r--r--development/texi2html/README6
-rw-r--r--development/texi2html/slack-desc19
-rw-r--r--development/texi2html/texi2html.SlackBuild101
-rw-r--r--development/texi2html/texi2html.info10
4 files changed, 136 insertions, 0 deletions
diff --git a/development/texi2html/README b/development/texi2html/README
new file mode 100644
index 0000000000..a1de0aa84a
--- /dev/null
+++ b/development/texi2html/README
@@ -0,0 +1,6 @@
+texi2html converts texinfo documents to HTML, Info, docbook, and XML.
+
+This conflicts with the tetex package shipped with Slackware, as
+an older texi2html comes with it. However, if you plan to replace
+tetex with texlive, you will need a standalone installation of
+texi2html, so this is intended to serve that purpose.
diff --git a/development/texi2html/slack-desc b/development/texi2html/slack-desc
new file mode 100644
index 0000000000..b652184550
--- /dev/null
+++ b/development/texi2html/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+texi2html: texi2html (convert texinfo documents to various formats)
+texi2html:
+texi2html: texi2html converts texinfo documents to HTML, Info, docbook,
+texi2html: and XML.
+texi2html:
+texi2html:
+texi2html:
+texi2html:
+texi2html:
+texi2html:
+texi2html:
diff --git a/development/texi2html/texi2html.SlackBuild b/development/texi2html/texi2html.SlackBuild
new file mode 100644
index 0000000000..cffde6d311
--- /dev/null
+++ b/development/texi2html/texi2html.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for texi2html
+
+# Copyright 2013 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=texi2html
+VERSION=${VERSION:-5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/bin \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+#cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/texi2html/texi2html.info b/development/texi2html/texi2html.info
new file mode 100644
index 0000000000..6c487eceda
--- /dev/null
+++ b/development/texi2html/texi2html.info
@@ -0,0 +1,10 @@
+PRGNAM="texi2html"
+VERSION="5.0"
+HOMEPAGE="http://www.nongnu.org/texi2html/"
+DOWNLOAD="http://download.savannah.gnu.org/releases/texi2html/texi2html-5.0.tar.bz2"
+MD5SUM="f15ac876fcdc8be865b16535f480aa54"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Robby Workman"
+EMAIL="rworkman@slackbuilds.org"